## org.eclipse.emf.codegen.ecore.genmodel
Interface GenModelPackage.Literals

Enclosing interface:
  GenModelPackage

    public static interface GenModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `GEN_ANNOTATION` The meta object literal for the '`Gen Annotation`' class
`static EReference` `GEN_ANNOTATION__CONTENTS` The meta object literal for the 'Contents' containment reference list feature
`static EReference` `GEN_ANNOTATION__DETAILS` The meta object literal for the 'Details' map feature
`static EReference` `GEN_ANNOTATION__GEN_BASE` The meta object literal for the 'Gen Base' container reference feature
`static EReference` `GEN_ANNOTATION__REFERENCES` The meta object literal for the 'References' reference list feature
`static EAttribute` `GEN_ANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
`static EClass` `GEN_BASE` The meta object literal for the '`Gen Base`' class
`static EReference` `GEN_BASE__GEN_ANNOTATIONS` The meta object literal for the 'Gen Annotations' containment reference list feature
`static EClass` `GEN_CLASS` The meta object literal for the '`Gen Class`' class
`static EAttribute` `GEN_CLASS__DYNAMIC` The meta object literal for the 'Dynamic' attribute feature
`static EReference` `GEN_CLASS__ECORE_CLASS` The meta object literal for the 'Ecore Class' reference feature
`static EReference` `GEN_CLASS__GEN_FEATURES` The meta object literal for the 'Gen Features' containment reference list feature
`static EReference` `GEN_CLASS__GEN_OPERATIONS` The meta object literal for the 'Gen Operations' containment reference list feature
`static EAttribute` `GEN_CLASS__IMAGE` The meta object literal for the 'Image' attribute feature
`static EReference` `GEN_CLASS__LABEL_FEATURE` The meta object literal for the 'Label Feature' reference feature
`static EAttribute` `GEN_CLASS__PROVIDER` The meta object literal for the 'Provider' attribute feature
`static EClass` `GEN_CLASSIFIER` The meta object literal for the '`Gen Classifier`' class
`static EReference` `GEN_CLASSIFIER__GEN_PACKAGE` The meta object literal for the 'Gen Package' reference feature
`static EReference` `GEN_CLASSIFIER__GEN_TYPE_PARAMETERS` The meta object literal for the 'Gen Type Parameters' containment reference list feature
`static EClass` `GEN_DATA_TYPE` The meta object literal for the '`Gen Data Type`' class
`static EReference` `GEN_DATA_TYPE__ECORE_DATA_TYPE` The meta object literal for the 'Ecore Data Type' reference feature
`static EEnum` `GEN_DELEGATION_KIND` The meta object literal for the '`Gen Delegation Kind`' enum
`static EClass` `GEN_ENUM` The meta object literal for the '`Gen Enum`' class
`static EReference` `GEN_ENUM__ECORE_ENUM` The meta object literal for the 'Ecore Enum' reference feature
`static EReference` `GEN_ENUM__GEN_ENUM_LITERALS` The meta object literal for the 'Gen Enum Literals' containment reference list feature
`static EAttribute` `GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE` The meta object literal for the 'Type Safe Enum Compatible' attribute feature
`static EClass` `GEN_ENUM_LITERAL` The meta object literal for the '`Gen Enum Literal`' class
`static EReference` `GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL` The meta object literal for the 'Ecore Enum Literal' reference feature
`static EReference` `GEN_ENUM_LITERAL__GEN_ENUM` The meta object literal for the 'Gen Enum' container reference feature
`static EClass` `GEN_FEATURE` The meta object literal for the '`Gen Feature`' class
`static EAttribute` `GEN_FEATURE__CHILDREN` The meta object literal for the 'Children' attribute feature
`static EAttribute` `GEN_FEATURE__CREATE_CHILD` The meta object literal for the 'Create Child' attribute feature
`static EReference` `GEN_FEATURE__ECORE_FEATURE` The meta object literal for the 'Ecore Feature' reference feature
`static EReference` `GEN_FEATURE__GEN_CLASS` The meta object literal for the 'Gen Class' container reference feature
`static EAttribute` `GEN_FEATURE__NOTIFY` The meta object literal for the 'Notify' attribute feature
`static EAttribute` `GEN_FEATURE__PROPERTY` The meta object literal for the 'Property' attribute feature
`static EAttribute` `GEN_FEATURE__PROPERTY_CATEGORY` The meta object literal for the 'Property Category' attribute feature
`static EAttribute` `GEN_FEATURE__PROPERTY_DESCRIPTION` The meta object literal for the 'Property Description' attribute feature
`static EAttribute` `GEN_FEATURE__PROPERTY_FILTER_FLAGS` The meta object literal for the 'Property Filter Flags' attribute list feature
`static EAttribute` `GEN_FEATURE__PROPERTY_MULTI_LINE` The meta object literal for the 'Property Multi Line' attribute feature
`static EAttribute` `GEN_FEATURE__PROPERTY_SORT_CHOICES` The meta object literal for the 'Property Sort Choices' attribute feature
`static EEnum` `GEN_JDK_LEVEL` The meta object literal for the '`Gen JDK Level`' enum
`static EClass` `GEN_MODEL` The meta object literal for the '`Gen Model`' class
`static EAttribute` `GEN_MODEL__ARRAY_ACCESSORS` The meta object literal for the 'Array Accessors' attribute feature
`static EAttribute` `GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS` The meta object literal for the 'Binary Compatible Reflective Methods' attribute feature
`static EAttribute` `GEN_MODEL__BOOLEAN_FLAGS_FIELD` The meta object literal for the 'Boolean Flags Field' attribute feature
`static EAttribute` `GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS` The meta object literal for the 'Boolean Flags Reserved Bits' attribute feature
`static EAttribute` `GEN_MODEL__BUNDLE_MANIFEST` The meta object literal for the 'Bundle Manifest' attribute feature
`static EAttribute` `GEN_MODEL__CLASS_NAME_PATTERN` The meta object literal for the 'Class Name Pattern' attribute feature
`static EAttribute` `GEN_MODEL__CODE_FORMATTING` The meta object literal for the 'Code Formatting' attribute feature
`static EAttribute` `GEN_MODEL__COLOR_PROVIDERS` The meta object literal for the 'Color Providers' attribute feature
`static EAttribute` `GEN_MODEL__COMPLIANCE_LEVEL` The meta object literal for the 'Compliance Level' attribute feature
`static EAttribute` `GEN_MODEL__CONTAINMENT_PROXIES` The meta object literal for the 'Containment Proxies' attribute feature
`static EAttribute` `GEN_MODEL__COPYRIGHT_FIELDS` The meta object literal for the 'Copyright Fields' attribute feature
`static EAttribute` `GEN_MODEL__COPYRIGHT_TEXT` The meta object literal for the 'Copyright Text' attribute feature
`static EAttribute` `GEN_MODEL__CREATION_COMMANDS` The meta object literal for the 'Creation Commands' attribute feature
`static EAttribute` `GEN_MODEL__CREATION_ICONS` The meta object literal for the 'Creation Icons' attribute feature
`static EAttribute` `GEN_MODEL__CREATION_SUBMENUS` The meta object literal for the 'Creation Submenus' attribute feature
`static EAttribute` `GEN_MODEL__DYNAMIC_TEMPLATES` The meta object literal for the 'Dynamic Templates' attribute feature
`static EAttribute` `GEN_MODEL__EDIT_DIRECTORY` The meta object literal for the 'Edit Directory' attribute feature
`static EAttribute` `GEN_MODEL__EDIT_PLUGIN_CLASS` The meta object literal for the 'Edit Plugin Class' attribute feature
`static EAttribute` `GEN_MODEL__EDIT_PLUGIN_ID` The meta object literal for the 'Edit Plugin ID' attribute feature
`static EAttribute` `GEN_MODEL__EDIT_PLUGIN_VARIABLES` The meta object literal for the 'Edit Plugin Variables' attribute list feature
`static EAttribute` `GEN_MODEL__EDITOR_DIRECTORY` The meta object literal for the 'Editor Directory' attribute feature
`static EAttribute` `GEN_MODEL__EDITOR_PLUGIN_CLASS` The meta object literal for the 'Editor Plugin Class' attribute feature
`static EAttribute` `GEN_MODEL__EDITOR_PLUGIN_ID` The meta object literal for the 'Editor Plugin ID' attribute feature
`static EAttribute` `GEN_MODEL__EDITOR_PLUGIN_VARIABLES` The meta object literal for the 'Editor Plugin Variables' attribute list feature
`static EAttribute` `GEN_MODEL__FACADE_HELPER_CLASS` The meta object literal for the 'Facade Helper Class' attribute feature
`static EAttribute` `GEN_MODEL__FEATURE_DELEGATION` The meta object literal for the 'Feature Delegation' attribute feature
`static EAttribute` `GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS` The meta object literal for the 'Feature Map Wrapper Class' attribute feature
`static EAttribute` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE` The meta object literal for the 'Feature Map Wrapper Interface' attribute feature
`static EAttribute` `GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE` The meta object literal for the 'Feature Map Wrapper Internal Interface' attribute feature
`static EAttribute` `GEN_MODEL__FONT_PROVIDERS` The meta object literal for the 'Font Providers' attribute feature
`static EAttribute` `GEN_MODEL__FORCE_OVERWRITE` The meta object literal for the 'Force Overwrite' attribute feature
`static EAttribute` `GEN_MODEL__FOREIGN_MODEL` The meta object literal for the 'Foreign Model' attribute list feature
`static EReference` `GEN_MODEL__GEN_PACKAGES` The meta object literal for the 'Gen Packages' containment reference list feature
`static EAttribute` `GEN_MODEL__GENERATE_SCHEMA` The meta object literal for the 'Generate Schema' attribute feature
`static EAttribute` `GEN_MODEL__IMPORTER_ID` The meta object literal for the 'Importer ID' attribute feature
`static EAttribute` `GEN_MODEL__INTERFACE_NAME_PATTERN` The meta object literal for the 'Interface Name Pattern' attribute feature
`static EAttribute` `GEN_MODEL__LANGUAGE` The meta object literal for the 'Language' attribute feature
`static EAttribute` `GEN_MODEL__MINIMAL_REFLECTIVE_METHODS` The meta object literal for the 'Minimal Reflective Methods' attribute feature
`static EAttribute` `GEN_MODEL__MODEL_DIRECTORY` The meta object literal for the 'Model Directory' attribute feature
`static EAttribute` `GEN_MODEL__MODEL_NAME` The meta object literal for the 'Model Name' attribute feature
`static EAttribute` `GEN_MODEL__MODEL_PLUGIN_CLASS` The meta object literal for the 'Model Plugin Class' attribute feature
`static EAttribute` `GEN_MODEL__MODEL_PLUGIN_ID` The meta object literal for the 'Model Plugin ID' attribute feature
`static EAttribute` `GEN_MODEL__MODEL_PLUGIN_VARIABLES` The meta object literal for the 'Model Plugin Variables' attribute list feature
`static EAttribute` `GEN_MODEL__NON_EXTERNALIZED_STRING_TAG` The meta object literal for the 'Non Externalized String Tag' attribute feature
`static EAttribute` `GEN_MODEL__NON_NLS_MARKERS` The meta object literal for the 'Non NLS Markers' attribute feature
`static EAttribute` `GEN_MODEL__OPTIMIZED_HAS_CHILDREN` The meta object literal for the 'Optimized Has Children' attribute feature
`static EAttribute` `GEN_MODEL__PACKED_ENUMS` The meta object literal for the 'Packed Enums' attribute feature
`static EAttribute` `GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS` The meta object literal for the 'Provider Root Extends Class' attribute feature
`static EAttribute` `GEN_MODEL__PUBLIC_CONSTRUCTORS` The meta object literal for the 'Public Constructors' attribute feature
`static EAttribute` `GEN_MODEL__REDIRECTION` The meta object literal for the 'Redirection' attribute feature
`static EAttribute` `GEN_MODEL__REFLECTIVE_DELEGATION` The meta object literal for the 'Reflective Delegation' attribute feature
`static EAttribute` `GEN_MODEL__RICH_CLIENT_PLATFORM` The meta object literal for the 'Rich Client Platform' attribute feature
`static EAttribute` `GEN_MODEL__ROOT_EXTENDS_CLASS` The meta object literal for the 'Root Extends Class' attribute feature
`static EAttribute` `GEN_MODEL__ROOT_EXTENDS_INTERFACE` The meta object literal for the 'Root Extends Interface' attribute feature
`static EAttribute` `GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE` The meta object literal for the 'Root Implements Interface' attribute feature
`static EAttribute` `GEN_MODEL__RUNTIME_COMPATIBILITY` The meta object literal for the 'Runtime Compatibility' attribute feature
`static EAttribute` `GEN_MODEL__RUNTIME_JAR` The meta object literal for the 'Runtime Jar' attribute feature
`static EAttribute` `GEN_MODEL__RUNTIME_VERSION` The meta object literal for the 'Runtime Version' attribute feature
`static EAttribute` `GEN_MODEL__STATIC_PACKAGES` The meta object literal for the 'Static Packages' attribute list feature
`static EAttribute` `GEN_MODEL__SUPPRESS_CONTAINMENT` The meta object literal for the 'Suppress Containment' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_EMF_META_DATA` The meta object literal for the 'Suppress EMF Meta Data' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS` The meta object literal for the 'Suppress EMF Model Tags' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_EMF_TYPES` The meta object literal for the 'Suppress EMF Types' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS` The meta object literal for the 'Suppress Gen Model Annotations' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_INTERFACES` The meta object literal for the 'Suppress Interfaces' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_NOTIFICATION` The meta object literal for the 'Suppress Notification' attribute feature
`static EAttribute` `GEN_MODEL__SUPPRESS_UNSETTABLE` The meta object literal for the 'Suppress Unsettable' attribute feature
`static EAttribute` `GEN_MODEL__TABLE_PROVIDERS` The meta object literal for the 'Table Providers' attribute feature
`static EAttribute` `GEN_MODEL__TEMPLATE_DIRECTORY` The meta object literal for the 'Template Directory' attribute feature
`static EAttribute` `GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES` The meta object literal for the 'Template Plugin Variables' attribute list feature
`static EAttribute` `GEN_MODEL__TEST_SUITE_CLASS` The meta object literal for the 'Test Suite Class' attribute feature
`static EAttribute` `GEN_MODEL__TESTS_DIRECTORY` The meta object literal for the 'Tests Directory' attribute feature
`static EAttribute` `GEN_MODEL__TESTS_PLUGIN_ID` The meta object literal for the 'Tests Plugin ID' attribute feature
`static EAttribute` `GEN_MODEL__TESTS_PLUGIN_VARIABLES` The meta object literal for the 'Tests Plugin Variables' attribute list feature
`static EAttribute` `GEN_MODEL__UPDATE_CLASSPATH` The meta object literal for the 'Update Classpath' attribute feature
`static EReference` `GEN_MODEL__USED_GEN_PACKAGES` The meta object literal for the 'Used Gen Packages' reference list feature
`static EClass` `GEN_OPERATION` The meta object literal for the '`Gen Operation`' class
`static EReference` `GEN_OPERATION__ECORE_OPERATION` The meta object literal for the 'Ecore Operation' reference feature
`static EReference` `GEN_OPERATION__GEN_CLASS` The meta object literal for the 'Gen Class' container reference feature
`static EReference` `GEN_OPERATION__GEN_PARAMETERS` The meta object literal for the 'Gen Parameters' containment reference list feature
`static EReference` `GEN_OPERATION__GEN_TYPE_PARAMETERS` The meta object literal for the 'Gen Type Parameters' containment reference list feature
`static EClass` `GEN_PACKAGE` The meta object literal for the '`Gen Package`' class
`static EAttribute` `GEN_PACKAGE__ADAPTER_FACTORY` The meta object literal for the 'Adapter Factory' attribute feature
`static EAttribute` `GEN_PACKAGE__BASE_PACKAGE` The meta object literal for the 'Base Package' attribute feature
`static EAttribute` `GEN_PACKAGE__CHILD_CREATION_EXTENDERS` The meta object literal for the 'Child Creation Extenders' attribute feature
`static EAttribute` `GEN_PACKAGE__CLASS_PACKAGE_SUFFIX` The meta object literal for the 'Class Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER` The meta object literal for the 'Content Type Identifier' attribute feature
`static EAttribute` `GEN_PACKAGE__DATA_TYPE_CONVERTERS` The meta object literal for the 'Data Type Converters' attribute feature
`static EAttribute` `GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY` The meta object literal for the 'Disposable Provider Factory' attribute feature
`static EReference` `GEN_PACKAGE__ECORE_PACKAGE` The meta object literal for the 'Ecore Package' reference feature
`static EAttribute` `GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY` The meta object literal for the 'Extensible Provider Factory' attribute feature
`static EAttribute` `GEN_PACKAGE__FILE_EXTENSIONS` The meta object literal for the 'File Extensions' attribute feature
`static EReference` `GEN_PACKAGE__GEN_CLASSES` The meta object literal for the 'Gen Classes' containment reference list feature
`static EReference` `GEN_PACKAGE__GEN_CLASSIFIERS` The meta object literal for the 'Gen Classifiers' reference list feature
`static EReference` `GEN_PACKAGE__GEN_DATA_TYPES` The meta object literal for the 'Gen Data Types' containment reference list feature
`static EReference` `GEN_PACKAGE__GEN_ENUMS` The meta object literal for the 'Gen Enums' containment reference list feature
`static EReference` `GEN_PACKAGE__GEN_MODEL` The meta object literal for the 'Gen Model' container reference feature
`static EAttribute` `GEN_PACKAGE__GENERATE_EXAMPLE_CLASS` The meta object literal for the 'Generate Example Class' attribute feature
`static EAttribute` `GEN_PACKAGE__GENERATE_MODEL_WIZARD` The meta object literal for the 'Generate Model Wizard' attribute feature
`static EAttribute` `GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX` The meta object literal for the 'Interface Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__LITERALS_INTERFACE` The meta object literal for the 'Literals Interface' attribute feature
`static EAttribute` `GEN_PACKAGE__LOAD_INITIALIZATION` The meta object literal for the 'Load Initialization' attribute feature
`static EAttribute` `GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX` The meta object literal for the 'Meta Data Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__MULTIPLE_EDITOR_PAGES` The meta object literal for the 'Multiple Editor Pages' attribute feature
`static EReference` `GEN_PACKAGE__NESTED_GEN_PACKAGES` The meta object literal for the 'Nested Gen Packages' containment reference list feature
`static EAttribute` `GEN_PACKAGE__PREFIX` The meta object literal for the 'Prefix' attribute feature
`static EAttribute` `GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX` The meta object literal for the 'Presentation Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX` The meta object literal for the 'Provider Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__RESOURCE` The meta object literal for the 'Resource' attribute feature
`static EAttribute` `GEN_PACKAGE__TESTS_PACKAGE_SUFFIX` The meta object literal for the 'Tests Package Suffix' attribute feature
`static EAttribute` `GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX` The meta object literal for the 'Utility Package Suffix' attribute feature
`static EClass` `GEN_PARAMETER` The meta object literal for the '`Gen Parameter`' class
`static EReference` `GEN_PARAMETER__ECORE_PARAMETER` The meta object literal for the 'Ecore Parameter' reference feature
`static EReference` `GEN_PARAMETER__GEN_OPERATION` The meta object literal for the 'Gen Operation' container reference feature
`static EEnum` `GEN_PROPERTY_KIND` The meta object literal for the '`Gen Property Kind`' enum
`static EEnum` `GEN_PROVIDER_KIND` The meta object literal for the '`Gen Provider Kind`' enum
`static EEnum` `GEN_RESOURCE_KIND` The meta object literal for the '`Gen Resource Kind`' enum
`static EEnum` `GEN_RUNTIME_VERSION` The meta object literal for the '`Gen Runtime Version`' enum
`static EClass` `GEN_TYPE_PARAMETER` The meta object literal for the '`Gen Type Parameter`' class
`static EReference` `GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER` The meta object literal for the 'Ecore Type Parameter' reference feature
`static EClass` `GEN_TYPED_ELEMENT` The meta object literal for the '`Gen Typed Element`' class

Field Detail

### GEN_MODEL

    static final EClass GEN_MODEL

  The meta object literal for the '`Gen Model`' class.

  See Also:
    `GenModelImpl`, `GenModelPackageImpl.getGenModel()`

### GEN_MODEL__COPYRIGHT_TEXT

    static final EAttribute GEN_MODEL__COPYRIGHT_TEXT

  The meta object literal for the 'Copyright Text' attribute feature.

### GEN_MODEL__MODEL_DIRECTORY

    static final EAttribute GEN_MODEL__MODEL_DIRECTORY

  The meta object literal for the 'Model Directory' attribute feature.

### GEN_MODEL__CREATION_COMMANDS

    static final EAttribute GEN_MODEL__CREATION_COMMANDS

  The meta object literal for the 'Creation Commands' attribute feature.

### GEN_MODEL__CREATION_ICONS

    static final EAttribute GEN_MODEL__CREATION_ICONS

  The meta object literal for the 'Creation Icons' attribute feature.

### GEN_MODEL__EDIT_DIRECTORY

    static final EAttribute GEN_MODEL__EDIT_DIRECTORY

  The meta object literal for the 'Edit Directory' attribute feature.

### GEN_MODEL__CREATION_SUBMENUS

    static final EAttribute GEN_MODEL__CREATION_SUBMENUS

  The meta object literal for the 'Creation Submenus' attribute feature.

### GEN_MODEL__EDITOR_DIRECTORY

    static final EAttribute GEN_MODEL__EDITOR_DIRECTORY

  The meta object literal for the 'Editor Directory' attribute feature.

### GEN_MODEL__MODEL_PLUGIN_ID

    static final EAttribute GEN_MODEL__MODEL_PLUGIN_ID

  The meta object literal for the 'Model Plugin ID' attribute feature.

### GEN_MODEL__TEMPLATE_DIRECTORY

    static final EAttribute GEN_MODEL__TEMPLATE_DIRECTORY

  The meta object literal for the 'Template Directory' attribute feature.

### GEN_MODEL__RUNTIME_JAR

    static final EAttribute GEN_MODEL__RUNTIME_JAR

  The meta object literal for the 'Runtime Jar' attribute feature.

### GEN_MODEL__FOREIGN_MODEL

    static final EAttribute GEN_MODEL__FOREIGN_MODEL

  The meta object literal for the 'Foreign Model' attribute list feature.

### GEN_MODEL__DYNAMIC_TEMPLATES

    static final EAttribute GEN_MODEL__DYNAMIC_TEMPLATES

  The meta object literal for the 'Dynamic Templates' attribute feature.

### GEN_MODEL__REDIRECTION

    static final EAttribute GEN_MODEL__REDIRECTION

  The meta object literal for the 'Redirection' attribute feature.

### GEN_MODEL__FORCE_OVERWRITE

    static final EAttribute GEN_MODEL__FORCE_OVERWRITE

  The meta object literal for the 'Force Overwrite' attribute feature.

### GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

    static final EAttribute GEN_MODEL__NON_EXTERNALIZED_STRING_TAG

  The meta object literal for the 'Non Externalized String Tag' attribute feature.

### GEN_MODEL__MODEL_NAME

    static final EAttribute GEN_MODEL__MODEL_NAME

  The meta object literal for the 'Model Name' attribute feature.

### GEN_MODEL__MODEL_PLUGIN_CLASS

    static final EAttribute GEN_MODEL__MODEL_PLUGIN_CLASS

  The meta object literal for the 'Model Plugin Class' attribute feature.

### GEN_MODEL__EDIT_PLUGIN_CLASS

    static final EAttribute GEN_MODEL__EDIT_PLUGIN_CLASS

  The meta object literal for the 'Edit Plugin Class' attribute feature.

### GEN_MODEL__EDITOR_PLUGIN_CLASS

    static final EAttribute GEN_MODEL__EDITOR_PLUGIN_CLASS

  The meta object literal for the 'Editor Plugin Class' attribute feature.

### GEN_MODEL__UPDATE_CLASSPATH

    static final EAttribute GEN_MODEL__UPDATE_CLASSPATH

  The meta object literal for the 'Update Classpath' attribute feature.

### GEN_MODEL__GENERATE_SCHEMA

    static final EAttribute GEN_MODEL__GENERATE_SCHEMA

  The meta object literal for the 'Generate Schema' attribute feature.

### GEN_MODEL__NON_NLS_MARKERS

    static final EAttribute GEN_MODEL__NON_NLS_MARKERS

  The meta object literal for the 'Non NLS Markers' attribute feature.

### GEN_MODEL__STATIC_PACKAGES

    static final EAttribute GEN_MODEL__STATIC_PACKAGES

  The meta object literal for the 'Static Packages' attribute list feature.

### GEN_MODEL__MODEL_PLUGIN_VARIABLES

    static final EAttribute GEN_MODEL__MODEL_PLUGIN_VARIABLES

  The meta object literal for the 'Model Plugin Variables' attribute list feature.

### GEN_MODEL__ROOT_EXTENDS_INTERFACE

    static final EAttribute GEN_MODEL__ROOT_EXTENDS_INTERFACE

  The meta object literal for the 'Root Extends Interface' attribute feature.

### GEN_MODEL__ROOT_EXTENDS_CLASS

    static final EAttribute GEN_MODEL__ROOT_EXTENDS_CLASS

  The meta object literal for the 'Root Extends Class' attribute feature.

### GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

    static final EAttribute GEN_MODEL__ROOT_IMPLEMENTS_INTERFACE

  The meta object literal for the 'Root Implements Interface' attribute feature.

### GEN_MODEL__SUPPRESS_EMF_TYPES

    static final EAttribute GEN_MODEL__SUPPRESS_EMF_TYPES

  The meta object literal for the 'Suppress EMF Types' attribute feature.

### GEN_MODEL__SUPPRESS_EMF_META_DATA

    static final EAttribute GEN_MODEL__SUPPRESS_EMF_META_DATA

  The meta object literal for the 'Suppress EMF Meta Data' attribute feature.

### GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

    static final EAttribute GEN_MODEL__SUPPRESS_EMF_MODEL_TAGS

  The meta object literal for the 'Suppress EMF Model Tags' attribute feature.

### GEN_MODEL__SUPPRESS_INTERFACES

    static final EAttribute GEN_MODEL__SUPPRESS_INTERFACES

  The meta object literal for the 'Suppress Interfaces' attribute feature.

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

    static final EAttribute GEN_MODEL__FEATURE_MAP_WRAPPER_INTERFACE

  The meta object literal for the 'Feature Map Wrapper Interface' attribute feature.

### GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

    static final EAttribute GEN_MODEL__FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE

  The meta object literal for the 'Feature Map Wrapper Internal Interface' attribute feature.

### GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

    static final EAttribute GEN_MODEL__FEATURE_MAP_WRAPPER_CLASS

  The meta object literal for the 'Feature Map Wrapper Class' attribute feature.

### GEN_MODEL__RUNTIME_COMPATIBILITY

    static final EAttribute GEN_MODEL__RUNTIME_COMPATIBILITY

  The meta object literal for the 'Runtime Compatibility' attribute feature.

### GEN_MODEL__RICH_CLIENT_PLATFORM

    static final EAttribute GEN_MODEL__RICH_CLIENT_PLATFORM

  The meta object literal for the 'Rich Client Platform' attribute feature.

### GEN_MODEL__REFLECTIVE_DELEGATION

    static final EAttribute GEN_MODEL__REFLECTIVE_DELEGATION

  The meta object literal for the 'Reflective Delegation' attribute feature.

### GEN_MODEL__CODE_FORMATTING

    static final EAttribute GEN_MODEL__CODE_FORMATTING

  The meta object literal for the 'Code Formatting' attribute feature.

### GEN_MODEL__TESTS_DIRECTORY

    static final EAttribute GEN_MODEL__TESTS_DIRECTORY

  The meta object literal for the 'Tests Directory' attribute feature.

### GEN_MODEL__TEST_SUITE_CLASS

    static final EAttribute GEN_MODEL__TEST_SUITE_CLASS

  The meta object literal for the 'Test Suite Class' attribute feature.

### GEN_MODEL__BOOLEAN_FLAGS_FIELD

    static final EAttribute GEN_MODEL__BOOLEAN_FLAGS_FIELD

  The meta object literal for the 'Boolean Flags Field' attribute feature.

### GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

    static final EAttribute GEN_MODEL__BOOLEAN_FLAGS_RESERVED_BITS

  The meta object literal for the 'Boolean Flags Reserved Bits' attribute feature.

### GEN_MODEL__IMPORTER_ID

    static final EAttribute GEN_MODEL__IMPORTER_ID

  The meta object literal for the 'Importer ID' attribute feature.

### GEN_MODEL__BUNDLE_MANIFEST

    static final EAttribute GEN_MODEL__BUNDLE_MANIFEST

  The meta object literal for the 'Bundle Manifest' attribute feature.

### GEN_MODEL__FEATURE_DELEGATION

    static final EAttribute GEN_MODEL__FEATURE_DELEGATION

  The meta object literal for the 'Feature Delegation' attribute feature.

### GEN_MODEL__CONTAINMENT_PROXIES

    static final EAttribute GEN_MODEL__CONTAINMENT_PROXIES

  The meta object literal for the 'Containment Proxies' attribute feature.

### GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

    static final EAttribute GEN_MODEL__MINIMAL_REFLECTIVE_METHODS

  The meta object literal for the 'Minimal Reflective Methods' attribute feature.

### GEN_MODEL__SUPPRESS_CONTAINMENT

    static final EAttribute GEN_MODEL__SUPPRESS_CONTAINMENT

  The meta object literal for the 'Suppress Containment' attribute feature.

### GEN_MODEL__SUPPRESS_NOTIFICATION

    static final EAttribute GEN_MODEL__SUPPRESS_NOTIFICATION

  The meta object literal for the 'Suppress Notification' attribute feature.

### GEN_MODEL__ARRAY_ACCESSORS

    static final EAttribute GEN_MODEL__ARRAY_ACCESSORS

  The meta object literal for the 'Array Accessors' attribute feature.

### GEN_MODEL__SUPPRESS_UNSETTABLE

    static final EAttribute GEN_MODEL__SUPPRESS_UNSETTABLE

  The meta object literal for the 'Suppress Unsettable' attribute feature.

### GEN_MODEL__FACADE_HELPER_CLASS

    static final EAttribute GEN_MODEL__FACADE_HELPER_CLASS

  The meta object literal for the 'Facade Helper Class' attribute feature.

### GEN_MODEL__COMPLIANCE_LEVEL

    static final EAttribute GEN_MODEL__COMPLIANCE_LEVEL

  The meta object literal for the 'Compliance Level' attribute feature.

### GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

    static final EAttribute GEN_MODEL__SUPPRESS_GEN_MODEL_ANNOTATIONS

  The meta object literal for the 'Suppress Gen Model Annotations' attribute feature.

### GEN_MODEL__COPYRIGHT_FIELDS

    static final EAttribute GEN_MODEL__COPYRIGHT_FIELDS

  The meta object literal for the 'Copyright Fields' attribute feature.

### GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

    static final EAttribute GEN_MODEL__BINARY_COMPATIBLE_REFLECTIVE_METHODS

  The meta object literal for the 'Binary Compatible Reflective Methods' attribute feature.

### GEN_MODEL__PUBLIC_CONSTRUCTORS

    static final EAttribute GEN_MODEL__PUBLIC_CONSTRUCTORS

  The meta object literal for the 'Public Constructors' attribute feature.

### GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

    static final EAttribute GEN_MODEL__TEMPLATE_PLUGIN_VARIABLES

  The meta object literal for the 'Template Plugin Variables' attribute list feature.

### GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

    static final EAttribute GEN_MODEL__PROVIDER_ROOT_EXTENDS_CLASS

  The meta object literal for the 'Provider Root Extends Class' attribute feature.

### GEN_MODEL__EDIT_PLUGIN_ID

    static final EAttribute GEN_MODEL__EDIT_PLUGIN_ID

  The meta object literal for the 'Edit Plugin ID' attribute feature.

### GEN_MODEL__EDIT_PLUGIN_VARIABLES

    static final EAttribute GEN_MODEL__EDIT_PLUGIN_VARIABLES

  The meta object literal for the 'Edit Plugin Variables' attribute list feature.

### GEN_MODEL__EDITOR_PLUGIN_ID

    static final EAttribute GEN_MODEL__EDITOR_PLUGIN_ID

  The meta object literal for the 'Editor Plugin ID' attribute feature.

### GEN_MODEL__EDITOR_PLUGIN_VARIABLES

    static final EAttribute GEN_MODEL__EDITOR_PLUGIN_VARIABLES

  The meta object literal for the 'Editor Plugin Variables' attribute list feature.

### GEN_MODEL__TESTS_PLUGIN_ID

    static final EAttribute GEN_MODEL__TESTS_PLUGIN_ID

  The meta object literal for the 'Tests Plugin ID' attribute feature.

### GEN_MODEL__TESTS_PLUGIN_VARIABLES

    static final EAttribute GEN_MODEL__TESTS_PLUGIN_VARIABLES

  The meta object literal for the 'Tests Plugin Variables' attribute list feature.

### GEN_MODEL__OPTIMIZED_HAS_CHILDREN

    static final EAttribute GEN_MODEL__OPTIMIZED_HAS_CHILDREN

  The meta object literal for the 'Optimized Has Children' attribute feature.

### GEN_MODEL__TABLE_PROVIDERS

    static final EAttribute GEN_MODEL__TABLE_PROVIDERS

  The meta object literal for the 'Table Providers' attribute feature.

### GEN_MODEL__COLOR_PROVIDERS

    static final EAttribute GEN_MODEL__COLOR_PROVIDERS

  The meta object literal for the 'Color Providers' attribute feature.

### GEN_MODEL__FONT_PROVIDERS

    static final EAttribute GEN_MODEL__FONT_PROVIDERS

  The meta object literal for the 'Font Providers' attribute feature.

### GEN_MODEL__RUNTIME_VERSION

    static final EAttribute GEN_MODEL__RUNTIME_VERSION

  The meta object literal for the 'Runtime Version' attribute feature.

### GEN_MODEL__LANGUAGE

    static final EAttribute GEN_MODEL__LANGUAGE

  The meta object literal for the 'Language' attribute feature.

### GEN_MODEL__PACKED_ENUMS

    static final EAttribute GEN_MODEL__PACKED_ENUMS

  The meta object literal for the 'Packed Enums' attribute feature.

### GEN_MODEL__GEN_PACKAGES

    static final EReference GEN_MODEL__GEN_PACKAGES

  The meta object literal for the 'Gen Packages' containment reference list feature.

### GEN_MODEL__USED_GEN_PACKAGES

    static final EReference GEN_MODEL__USED_GEN_PACKAGES

  The meta object literal for the 'Used Gen Packages' reference list feature.

### GEN_MODEL__INTERFACE_NAME_PATTERN

    static final EAttribute GEN_MODEL__INTERFACE_NAME_PATTERN

  The meta object literal for the 'Interface Name Pattern' attribute feature.

### GEN_MODEL__CLASS_NAME_PATTERN

    static final EAttribute GEN_MODEL__CLASS_NAME_PATTERN

  The meta object literal for the 'Class Name Pattern' attribute feature.

### GEN_PACKAGE

    static final EClass GEN_PACKAGE

  The meta object literal for the '`Gen Package`' class.

  See Also:
    `GenPackageImpl`, `GenModelPackageImpl.getGenPackage()`

### GEN_PACKAGE__PREFIX

    static final EAttribute GEN_PACKAGE__PREFIX

  The meta object literal for the 'Prefix' attribute feature.

### GEN_PACKAGE__BASE_PACKAGE

    static final EAttribute GEN_PACKAGE__BASE_PACKAGE

  The meta object literal for the 'Base Package' attribute feature.

### GEN_PACKAGE__RESOURCE

    static final EAttribute GEN_PACKAGE__RESOURCE

  The meta object literal for the 'Resource' attribute feature.

### GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

    static final EAttribute GEN_PACKAGE__DISPOSABLE_PROVIDER_FACTORY

  The meta object literal for the 'Disposable Provider Factory' attribute feature.

### GEN_PACKAGE__ADAPTER_FACTORY

    static final EAttribute GEN_PACKAGE__ADAPTER_FACTORY

  The meta object literal for the 'Adapter Factory' attribute feature.

### GEN_PACKAGE__LOAD_INITIALIZATION

    static final EAttribute GEN_PACKAGE__LOAD_INITIALIZATION

  The meta object literal for the 'Load Initialization' attribute feature.

### GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__INTERFACE_PACKAGE_SUFFIX

  The meta object literal for the 'Interface Package Suffix' attribute feature.

### GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__META_DATA_PACKAGE_SUFFIX

  The meta object literal for the 'Meta Data Package Suffix' attribute feature.

### GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__CLASS_PACKAGE_SUFFIX

  The meta object literal for the 'Class Package Suffix' attribute feature.

### GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__UTILITY_PACKAGE_SUFFIX

  The meta object literal for the 'Utility Package Suffix' attribute feature.

### GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__PROVIDER_PACKAGE_SUFFIX

  The meta object literal for the 'Provider Package Suffix' attribute feature.

### GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__PRESENTATION_PACKAGE_SUFFIX

  The meta object literal for the 'Presentation Package Suffix' attribute feature.

### GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

    static final EAttribute GEN_PACKAGE__TESTS_PACKAGE_SUFFIX

  The meta object literal for the 'Tests Package Suffix' attribute feature.

### GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

    static final EAttribute GEN_PACKAGE__GENERATE_EXAMPLE_CLASS

  The meta object literal for the 'Generate Example Class' attribute feature.

### GEN_PACKAGE__LITERALS_INTERFACE

    static final EAttribute GEN_PACKAGE__LITERALS_INTERFACE

  The meta object literal for the 'Literals Interface' attribute feature.

### GEN_PACKAGE__DATA_TYPE_CONVERTERS

    static final EAttribute GEN_PACKAGE__DATA_TYPE_CONVERTERS

  The meta object literal for the 'Data Type Converters' attribute feature.

### GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

    static final EAttribute GEN_PACKAGE__MULTIPLE_EDITOR_PAGES

  The meta object literal for the 'Multiple Editor Pages' attribute feature.

### GEN_PACKAGE__GENERATE_MODEL_WIZARD

    static final EAttribute GEN_PACKAGE__GENERATE_MODEL_WIZARD

  The meta object literal for the 'Generate Model Wizard' attribute feature.

### GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

    static final EAttribute GEN_PACKAGE__EXTENSIBLE_PROVIDER_FACTORY

  The meta object literal for the 'Extensible Provider Factory' attribute feature.

### GEN_PACKAGE__CHILD_CREATION_EXTENDERS

    static final EAttribute GEN_PACKAGE__CHILD_CREATION_EXTENDERS

  The meta object literal for the 'Child Creation Extenders' attribute feature.

### GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

    static final EAttribute GEN_PACKAGE__CONTENT_TYPE_IDENTIFIER

  The meta object literal for the 'Content Type Identifier' attribute feature.

### GEN_PACKAGE__FILE_EXTENSIONS

    static final EAttribute GEN_PACKAGE__FILE_EXTENSIONS

  The meta object literal for the 'File Extensions' attribute feature.

### GEN_PACKAGE__ECORE_PACKAGE

    static final EReference GEN_PACKAGE__ECORE_PACKAGE

  The meta object literal for the 'Ecore Package' reference feature.

### GEN_PACKAGE__GEN_MODEL

    static final EReference GEN_PACKAGE__GEN_MODEL

  The meta object literal for the 'Gen Model' container reference feature.

### GEN_PACKAGE__GEN_ENUMS

    static final EReference GEN_PACKAGE__GEN_ENUMS

  The meta object literal for the 'Gen Enums' containment reference list feature.

### GEN_PACKAGE__GEN_DATA_TYPES

    static final EReference GEN_PACKAGE__GEN_DATA_TYPES

  The meta object literal for the 'Gen Data Types' containment reference list feature.

### GEN_PACKAGE__GEN_CLASSES

    static final EReference GEN_PACKAGE__GEN_CLASSES

  The meta object literal for the 'Gen Classes' containment reference list feature.

### GEN_PACKAGE__NESTED_GEN_PACKAGES

    static final EReference GEN_PACKAGE__NESTED_GEN_PACKAGES

  The meta object literal for the 'Nested Gen Packages' containment reference list feature.

### GEN_PACKAGE__GEN_CLASSIFIERS

    static final EReference GEN_PACKAGE__GEN_CLASSIFIERS

  The meta object literal for the 'Gen Classifiers' reference list feature.

### GEN_CLASS

    static final EClass GEN_CLASS

  The meta object literal for the '`Gen Class`' class.

  See Also:
    `GenClassImpl`, `GenModelPackageImpl.getGenClass()`

### GEN_CLASS__PROVIDER

    static final EAttribute GEN_CLASS__PROVIDER

  The meta object literal for the 'Provider' attribute feature.

### GEN_CLASS__IMAGE

    static final EAttribute GEN_CLASS__IMAGE

  The meta object literal for the 'Image' attribute feature.

### GEN_CLASS__DYNAMIC

    static final EAttribute GEN_CLASS__DYNAMIC

  The meta object literal for the 'Dynamic' attribute feature.

### GEN_CLASS__ECORE_CLASS

    static final EReference GEN_CLASS__ECORE_CLASS

  The meta object literal for the 'Ecore Class' reference feature.

### GEN_CLASS__GEN_FEATURES

    static final EReference GEN_CLASS__GEN_FEATURES

  The meta object literal for the 'Gen Features' containment reference list feature.

### GEN_CLASS__GEN_OPERATIONS

    static final EReference GEN_CLASS__GEN_OPERATIONS

  The meta object literal for the 'Gen Operations' containment reference list feature.

### GEN_CLASS__LABEL_FEATURE

    static final EReference GEN_CLASS__LABEL_FEATURE

  The meta object literal for the 'Label Feature' reference feature.

### GEN_FEATURE

    static final EClass GEN_FEATURE

  The meta object literal for the '`Gen Feature`' class.

  See Also:
    `GenFeatureImpl`, `GenModelPackageImpl.getGenFeature()`

### GEN_FEATURE__PROPERTY

    static final EAttribute GEN_FEATURE__PROPERTY

  The meta object literal for the 'Property' attribute feature.

### GEN_FEATURE__NOTIFY

    static final EAttribute GEN_FEATURE__NOTIFY

  The meta object literal for the 'Notify' attribute feature.

### GEN_FEATURE__CHILDREN

    static final EAttribute GEN_FEATURE__CHILDREN

  The meta object literal for the 'Children' attribute feature.

### GEN_FEATURE__CREATE_CHILD

    static final EAttribute GEN_FEATURE__CREATE_CHILD

  The meta object literal for the 'Create Child' attribute feature.

### GEN_FEATURE__PROPERTY_CATEGORY

    static final EAttribute GEN_FEATURE__PROPERTY_CATEGORY

  The meta object literal for the 'Property Category' attribute feature.

### GEN_FEATURE__PROPERTY_FILTER_FLAGS

    static final EAttribute GEN_FEATURE__PROPERTY_FILTER_FLAGS

  The meta object literal for the 'Property Filter Flags' attribute list feature.

### GEN_FEATURE__PROPERTY_DESCRIPTION

    static final EAttribute GEN_FEATURE__PROPERTY_DESCRIPTION

  The meta object literal for the 'Property Description' attribute feature.

### GEN_FEATURE__PROPERTY_MULTI_LINE

    static final EAttribute GEN_FEATURE__PROPERTY_MULTI_LINE

  The meta object literal for the 'Property Multi Line' attribute feature.

### GEN_FEATURE__PROPERTY_SORT_CHOICES

    static final EAttribute GEN_FEATURE__PROPERTY_SORT_CHOICES

  The meta object literal for the 'Property Sort Choices' attribute feature.

### GEN_FEATURE__GEN_CLASS

    static final EReference GEN_FEATURE__GEN_CLASS

  The meta object literal for the 'Gen Class' container reference feature.

### GEN_FEATURE__ECORE_FEATURE

    static final EReference GEN_FEATURE__ECORE_FEATURE

  The meta object literal for the 'Ecore Feature' reference feature.

### GEN_BASE

    static final EClass GEN_BASE

  The meta object literal for the '`Gen Base`' class.

  See Also:
    `GenBaseImpl`, `GenModelPackageImpl.getGenBase()`

### GEN_BASE__GEN_ANNOTATIONS

    static final EReference GEN_BASE__GEN_ANNOTATIONS

  The meta object literal for the 'Gen Annotations' containment reference list feature.

### GEN_ENUM

    static final EClass GEN_ENUM

  The meta object literal for the '`Gen Enum`' class.

  See Also:
    `GenEnumImpl`, `GenModelPackageImpl.getGenEnum()`

### GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

    static final EAttribute GEN_ENUM__TYPE_SAFE_ENUM_COMPATIBLE

  The meta object literal for the 'Type Safe Enum Compatible' attribute feature.

### GEN_ENUM__ECORE_ENUM

    static final EReference GEN_ENUM__ECORE_ENUM

  The meta object literal for the 'Ecore Enum' reference feature.

### GEN_ENUM__GEN_ENUM_LITERALS

    static final EReference GEN_ENUM__GEN_ENUM_LITERALS

  The meta object literal for the 'Gen Enum Literals' containment reference list feature.

### GEN_ENUM_LITERAL

    static final EClass GEN_ENUM_LITERAL

  The meta object literal for the '`Gen Enum Literal`' class.

  See Also:
    `GenEnumLiteralImpl`, `GenModelPackageImpl.getGenEnumLiteral()`

### GEN_ENUM_LITERAL__GEN_ENUM

    static final EReference GEN_ENUM_LITERAL__GEN_ENUM

  The meta object literal for the 'Gen Enum' container reference feature.

### GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

    static final EReference GEN_ENUM_LITERAL__ECORE_ENUM_LITERAL

  The meta object literal for the 'Ecore Enum Literal' reference feature.

### GEN_CLASSIFIER

    static final EClass GEN_CLASSIFIER

  The meta object literal for the '`Gen Classifier`' class.

  See Also:
    `GenClassifierImpl`, `GenModelPackageImpl.getGenClassifier()`

### GEN_CLASSIFIER__GEN_PACKAGE

    static final EReference GEN_CLASSIFIER__GEN_PACKAGE

  The meta object literal for the 'Gen Package' reference feature.

### GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

    static final EReference GEN_CLASSIFIER__GEN_TYPE_PARAMETERS

  The meta object literal for the 'Gen Type Parameters' containment reference list feature.

### GEN_DATA_TYPE

    static final EClass GEN_DATA_TYPE

  The meta object literal for the '`Gen Data Type`' class.

  See Also:
    `GenDataTypeImpl`, `GenModelPackageImpl.getGenDataType()`

### GEN_DATA_TYPE__ECORE_DATA_TYPE

    static final EReference GEN_DATA_TYPE__ECORE_DATA_TYPE

  The meta object literal for the 'Ecore Data Type' reference feature.

### GEN_OPERATION

    static final EClass GEN_OPERATION

  The meta object literal for the '`Gen Operation`' class.

  See Also:
    `GenOperationImpl`, `GenModelPackageImpl.getGenOperation()`

### GEN_OPERATION__GEN_CLASS

    static final EReference GEN_OPERATION__GEN_CLASS

  The meta object literal for the 'Gen Class' container reference feature.

### GEN_OPERATION__ECORE_OPERATION

    static final EReference GEN_OPERATION__ECORE_OPERATION

  The meta object literal for the 'Ecore Operation' reference feature.

### GEN_OPERATION__GEN_PARAMETERS

    static final EReference GEN_OPERATION__GEN_PARAMETERS

  The meta object literal for the 'Gen Parameters' containment reference list feature.

### GEN_OPERATION__GEN_TYPE_PARAMETERS

    static final EReference GEN_OPERATION__GEN_TYPE_PARAMETERS

  The meta object literal for the 'Gen Type Parameters' containment reference list feature.

### GEN_PARAMETER

    static final EClass GEN_PARAMETER

  The meta object literal for the '`Gen Parameter`' class.

  See Also:
    `GenParameterImpl`, `GenModelPackageImpl.getGenParameter()`

### GEN_PARAMETER__GEN_OPERATION

    static final EReference GEN_PARAMETER__GEN_OPERATION

  The meta object literal for the 'Gen Operation' container reference feature.

### GEN_PARAMETER__ECORE_PARAMETER

    static final EReference GEN_PARAMETER__ECORE_PARAMETER

  The meta object literal for the 'Ecore Parameter' reference feature.

### GEN_TYPED_ELEMENT

    static final EClass GEN_TYPED_ELEMENT

  The meta object literal for the '`Gen Typed Element`' class.

  See Also:
    `GenTypedElementImpl`, `GenModelPackageImpl.getGenTypedElement()`

### GEN_ANNOTATION

    static final EClass GEN_ANNOTATION

  The meta object literal for the '`Gen Annotation`' class.

  See Also:
    `GenAnnotationImpl`, `GenModelPackageImpl.getGenAnnotation()`

### GEN_ANNOTATION__SOURCE

    static final EAttribute GEN_ANNOTATION__SOURCE

  The meta object literal for the 'Source' attribute feature.

### GEN_ANNOTATION__DETAILS

    static final EReference GEN_ANNOTATION__DETAILS

  The meta object literal for the 'Details' map feature.

### GEN_ANNOTATION__GEN_BASE

    static final EReference GEN_ANNOTATION__GEN_BASE

  The meta object literal for the 'Gen Base' container reference feature.

### GEN_ANNOTATION__REFERENCES

    static final EReference GEN_ANNOTATION__REFERENCES

  The meta object literal for the 'References' reference list feature.

### GEN_ANNOTATION__CONTENTS

    static final EReference GEN_ANNOTATION__CONTENTS

  The meta object literal for the 'Contents' containment reference list feature.

### GEN_TYPE_PARAMETER

    static final EClass GEN_TYPE_PARAMETER

  The meta object literal for the '`Gen Type Parameter`' class.

  See Also:
    `GenTypeParameterImpl`, `GenModelPackageImpl.getGenTypeParameter()`

### GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER

    static final EReference GEN_TYPE_PARAMETER__ECORE_TYPE_PARAMETER

  The meta object literal for the 'Ecore Type Parameter' reference feature.

### GEN_PROVIDER_KIND

    static final EEnum GEN_PROVIDER_KIND

  The meta object literal for the '`Gen Provider Kind`' enum.

  See Also:
    `GenProviderKind`, `GenModelPackageImpl.getGenProviderKind()`

### GEN_PROPERTY_KIND

    static final EEnum GEN_PROPERTY_KIND

  The meta object literal for the '`Gen Property Kind`' enum.

  See Also:
    `GenPropertyKind`, `GenModelPackageImpl.getGenPropertyKind()`

### GEN_RESOURCE_KIND

    static final EEnum GEN_RESOURCE_KIND

  The meta object literal for the '`Gen Resource Kind`' enum.

  See Also:
    `GenResourceKind`, `GenModelPackageImpl.getGenResourceKind()`

### GEN_DELEGATION_KIND

    static final EEnum GEN_DELEGATION_KIND

  The meta object literal for the '`Gen Delegation Kind`' enum.

  See Also:
    `GenDelegationKind`, `GenModelPackageImpl.getGenDelegationKind()`

### GEN_JDK_LEVEL

    static final EEnum GEN_JDK_LEVEL

  The meta object literal for the '`Gen JDK Level`' enum.

  See Also:
    `GenJDKLevel`, `GenModelPackageImpl.getGenJDKLevel()`

### GEN_RUNTIME_VERSION

    static final EEnum GEN_RUNTIME_VERSION

  The meta object literal for the '`Gen Runtime Version`' enum.

  See Also:
    `GenRuntimeVersion`, `GenModelPackageImpl.getGenRuntimeVersion()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.